//
// three mode-switching functions: GWIN() pops up the tek window
// (if it's not already up) and switches to it.  AWIN()
// switches to the alphanumeric (normal xterm) window.
// GMODE() turns the graph mode on (for plotting graphics) or
// off (for printing text) within the tek window.
//

#include "gogo.h"

// switch to tek4014 graphics window.  note
// the string does not get printed
// to any output file, only stdout.

void GWIN()
{
    if (gwin) return;          // already in graphics window
    if (xterm){                // xterm is true if term is xterm
//        cout << "\x9b?38h";    // pop up tek window and switch to it
        cout << "\033[?38h";
    }
    gwin = true;                // now in graphics window
}
// =========================================================
// switch to alphanumeric window.  note
// these strings do not get printed to any
// output file, only to stdout.

void AWIN()
{
    if (!gwin) return ;       // already in alpha window
    if (xterm){               // xterm is true if term is xterm
        cout << "\033\003";   // esc ctrl-C switch to VT100 mode
                              // (alpha window)
    }
    gwin = false;              // now in alpha window
}
// =========================================================
// sets graph mode on (graphics) or off
// (alphanumeric) within graph window

void GMODE(off_on k) 
{
    if (k == on){           // chars are graphic instructions
        gmode = true;
        out(ofs, "\035");   // ofs is global; \035 is GS (ctrl-])
    }
    else {                  // chars (text) are printed on screen
        gmode = false;
        out(ofs, "\037");   // \037 is US; \037 is US (ctrl-_)
    }
}
// =================================================

